NX Open C++ Reference Guide
|
Contains setting for corner creation. More...
Public Types | |
enum | BendMethods { BendMethodsRadius, BendMethodsRatioToDiameter, BendMethodsBendRadiusTable, BendMethodsInnerRadius } |
Methods available for bend creation. More... | |
enum | BendOptions { BendOptionsRadius, BendOptionsRatioToDiameter, BendOptionsBendRadiusTable } |
Methods available for bend creation. More... | |
enum | Type { TypeNone, TypeMiter, TypeBend, TypeSBend, TypeSElbow, TypeUBend, TypeUElbow, TypeCope, TypeMiteredBend } |
Defines the type of bend available for bend creation.Type of bend available are None,Miter ,Bend , S-bend and S-Elbow. More... | |
Public Member Functions | |
NXOpen::Routing::CharacteristicList * | GetElbowAppliedCharx () |
Returns the applied charx of elbow part. | |
NXOpen::Routing::CharacteristicList * | GetElbowPart () |
Returns the created elbow part. | |
void | RouteCornerAlternateSolution () |
Route alternate solution Created in NX6.0.0. | |
NXOpen::Routing::CornerTypeBuilder::BendMethods | RouteCornerBendMethods () |
Returns the route corner bend options Created in NX8.5.0. | |
NXOpen::Routing::CornerTypeBuilder::BendOptions | RouteCornerBendOptions () |
Returns the route corner bend options | |
void | RouteCornerBendRadiusInfo () |
Bend corner info Created in NX6.0.0. | |
NXString | RouteCornerBendTable () |
Returns the name of bend radius table Created in NX6.0.0. | |
void | RouteCornerImportBendRadiusTable () |
Import bend radius table Created in NX6.0.0. | |
int | RouteCornerNumberOfMiters () |
Returns the number of miter in mitered bend corner Created in NX8.0.0. | |
NXOpen::Expression * | RouteCornerRadius () |
Returns the route corner radius Created in NX6.0.0. | |
NXOpen::Expression * | RouteCornerRatioToDiameter () |
Returns the route corner ratio to diameter Created in NX6.0.0. | |
bool | RouteCornerRequireLinearSolution () |
Returns the route corner require linear solution Created in NX6.0.0. | |
void | RouteCornerSpecifyElbow () |
Route specify elbow Created in NX6.0.0. | |
NXOpen::Routing::CornerTypeBuilder::Type | RouteCornerTypeOptions () |
Returns the route corner type options Created in NX6.0.0. | |
void | SetElbowAppliedCharx (NXOpen::Routing::CharacteristicList *elbowPart) |
Sets the applied charx for elbow creation Created in NX6.0.0. | |
void | SetElbowPart (NXOpen::Routing::CharacteristicList *elbowPart) |
Sets the elbow part to be used for elbow creation Created in NX6.0.0. | |
void | SetRouteCornerBendMethods (NXOpen::Routing::CornerTypeBuilder::BendMethods routeCornerBendMethods) |
Sets the route corner bend options Created in NX8.5.0. | |
void | SetRouteCornerBendOptions (NXOpen::Routing::CornerTypeBuilder::BendOptions routeCornerBendOptions) |
Sets the route corner bend options | |
void | SetRouteCornerBendTable (const NXString &bendTableName) |
Sets the name of bend radius table Created in NX6.0.0. | |
void | SetRouteCornerBendTable (const char *bendTableName) |
Sets the name of bend radius table Created in NX6.0.0. | |
void | SetRouteCornerNumberOfMiters (int routeCornerNumberOfMiter) |
Sets the number of miter in mitered bend corner Created in NX8.0.0. | |
void | SetRouteCornerRequireLinearSolution (bool routeCornerRequireLinearSolution) |
Sets the route corner require linear solution Created in NX6.0.0. | |
void | SetRouteCornerTypeOptions (NXOpen::Routing::CornerTypeBuilder::Type routeCornerTypeOptions) |
Sets the route corner type options Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Contains setting for corner creation.
Type of bend to be created and the method to create the corner.
Created in NX6.0.0.
Methods available for bend creation.
Methods available for bend creation.
NXOpen::Routing::CharacteristicList* NXOpen::Routing::CornerTypeBuilder::GetElbowAppliedCharx | ( | ) |
Returns the applied charx of elbow part.
NXOpen::Routing::CharacteristicList* NXOpen::Routing::CornerTypeBuilder::GetElbowPart | ( | ) |
Returns the created elbow part.
void NXOpen::Routing::CornerTypeBuilder::RouteCornerAlternateSolution | ( | ) |
Route alternate solution
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Routing::CornerTypeBuilder::BendMethods NXOpen::Routing::CornerTypeBuilder::RouteCornerBendMethods | ( | ) |
Returns the route corner bend options
Created in NX8.5.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Routing::CornerTypeBuilder::BendOptions NXOpen::Routing::CornerTypeBuilder::RouteCornerBendOptions | ( | ) |
Returns the route corner bend options
Use Routing::CornerTypeBuilder::RouteCornerBendMethods instead.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::CornerTypeBuilder::RouteCornerBendRadiusInfo | ( | ) |
Bend corner info
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
NXString NXOpen::Routing::CornerTypeBuilder::RouteCornerBendTable | ( | ) |
Returns the name of bend radius table
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::CornerTypeBuilder::RouteCornerImportBendRadiusTable | ( | ) |
Import bend radius table
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
int NXOpen::Routing::CornerTypeBuilder::RouteCornerNumberOfMiters | ( | ) |
Returns the number of miter in mitered bend corner
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Expression* NXOpen::Routing::CornerTypeBuilder::RouteCornerRadius | ( | ) |
Returns the route corner radius
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Expression* NXOpen::Routing::CornerTypeBuilder::RouteCornerRatioToDiameter | ( | ) |
Returns the route corner ratio to diameter
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::CornerTypeBuilder::RouteCornerRequireLinearSolution | ( | ) |
Returns the route corner require linear solution
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::CornerTypeBuilder::RouteCornerSpecifyElbow | ( | ) |
Route specify elbow
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Routing::CornerTypeBuilder::Type NXOpen::Routing::CornerTypeBuilder::RouteCornerTypeOptions | ( | ) |
Returns the route corner type options
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::CornerTypeBuilder::SetElbowAppliedCharx | ( | NXOpen::Routing::CharacteristicList * | elbowPart | ) |
Sets the applied charx for elbow creation
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
elbowPart | Characteristic list used to find the appropriate |
void NXOpen::Routing::CornerTypeBuilder::SetElbowPart | ( | NXOpen::Routing::CharacteristicList * | elbowPart | ) |
Sets the elbow part to be used for elbow creation
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
elbowPart | Characteristic list used to find the appropriate |
void NXOpen::Routing::CornerTypeBuilder::SetRouteCornerBendMethods | ( | NXOpen::Routing::CornerTypeBuilder::BendMethods | routeCornerBendMethods | ) |
Sets the route corner bend options
Created in NX8.5.0.
License requirements : routing_base ("Routing Basic")
routeCornerBendMethods | routecornerbendmethods |
void NXOpen::Routing::CornerTypeBuilder::SetRouteCornerBendOptions | ( | NXOpen::Routing::CornerTypeBuilder::BendOptions | routeCornerBendOptions | ) |
Sets the route corner bend options
Use Routing::CornerTypeBuilder::SetRouteCornerBendMethods instead.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
routeCornerBendOptions | routecornerbendoptions |
void NXOpen::Routing::CornerTypeBuilder::SetRouteCornerBendTable | ( | const NXString & | bendTableName | ) |
Sets the name of bend radius table
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
bendTableName | bendtablename |
void NXOpen::Routing::CornerTypeBuilder::SetRouteCornerBendTable | ( | const char * | bendTableName | ) |
Sets the name of bend radius table
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
bendTableName | bendtablename |
void NXOpen::Routing::CornerTypeBuilder::SetRouteCornerNumberOfMiters | ( | int | routeCornerNumberOfMiter | ) |
Sets the number of miter in mitered bend corner
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
routeCornerNumberOfMiter | routecornernumberofmiter |
void NXOpen::Routing::CornerTypeBuilder::SetRouteCornerRequireLinearSolution | ( | bool | routeCornerRequireLinearSolution | ) |
Sets the route corner require linear solution
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
routeCornerRequireLinearSolution | routecornerrequirelinearsolution |
void NXOpen::Routing::CornerTypeBuilder::SetRouteCornerTypeOptions | ( | NXOpen::Routing::CornerTypeBuilder::Type | routeCornerTypeOptions | ) |
Sets the route corner type options
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
routeCornerTypeOptions | routecornertypeoptions |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.